Loading...
Searching...
No Matches
BaseFluidSystem.hpp File Reference

The base class for all fluid systems. More...

`#include <opm/common/utility/DemangledType.hpp>`
`#include <stdexcept>`
`#include <string_view>`

Go to the source code of this file.

## Classes

class | Opm::BaseFluidSystem< ScalarT, Implementation >
| The base class for all fluid systems. More...
struct | Opm::BaseFluidSystem< ScalarT, Implementation >::ParameterCache< Evaluation >
| The type of the fluid system's parameter cache. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

The base class for all fluid systems.